Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Create a webhook (returns the signingSecret only once)

Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.

POST/webhooks
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Request body
requiredapplication/json
urlstring<uri>required
eventsstring[]required

Subset of: sale.confirmed, sale.refunded

min items 1
secretstring
min length 1
Responses
201

OK

dataWebhookCreatedrequired
Show properties
idstringrequired
urlstringrequired
eventsstring[]required
activebooleanrequired
lastDeliveryAtstring | nullrequired
Show properties
Any of:
string
string
null
null
lastDeliveryStatusinteger | nullrequired
Show properties
Any of:
integer
integer
null
null
failureCountintegerrequired
min -9007199254740991 · max 9007199254740991
createdAtstringrequired
updatedAtstringrequired
signingSecretstringrequired
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://admin.appfreeticket.com/api/v1/webhooks' \
  -H 'Authorization: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "events": [
    "sale.confirmed"
  ],
  "secret": "string"
}'
Response
{
  "data": {
    "id": "string",
    "url": "string",
    "events": [
      "string"
    ],
    "active": true,
    "lastDeliveryAt": "string",
    "lastDeliveryStatus": -9007199254740991,
    "failureCount": -9007199254740991,
    "createdAt": "string",
    "updatedAt": "string",
    "signingSecret": "string"
  }
}